<template>
  <svn-navbar class="w-screen h-[62px] px-4 sm:!pl-0 sm:!pr-8 sm:!py-0 sm:h-[73px] flex items-center border-b sm:border-0">
    <template #left-content>
      <div class="flex items-center gap-6">
        <div>
          <div
            class="hidden sm:flex w-[73px] h-[73px] bg-very-light-grey text-middle-grey hover:bg-light-grey active:bg-middle-grey active:text-dark-grey items-center justify-center cursor-pointer"
            @click="homeButtonClick"
          >
            <Icon
              icon="bxs:home"
              class="h-[22px] w-[22px]"
            />
          </div>
          <div class="flex sm:hidden">
            <svn-aleph-navbar-menu
              variant="modal"
              :items="modalItems"
            />
          </div>
        </div>
        <div class="hidden sm:flex gap-2 text-xl font-medium">
          <Icon
            icon="mingcute:chat-3-line"
            class="h-6 w-6 text-primary"
          />
          <span class="hidden lg:flex">
            {{ appName }}
          </span>
        </div>
        <div class="hidden sm:flex lg:hidden">
          <svn-aleph-navbar-menu
            variant="select"
            :items="items"
          />
        </div>
        <div class="hidden lg:flex">
          <div  class="hidden lg:flex border-l border-opacity-100 border-fake-black h-[40px]"/>
        </div>
        <div
          class="hidden lg:flex"
        >
          <svn-aleph-navbar-menu
            variant="navbar"
            :collapsed="false"
            :items="items"
          />
        </div>
      </div>
    </template>
    <template #right-content>
      <div class="flex items-center gap-4 sm:gap-5">
        <svn-icon-button
          icon="material-symbols:search"
          variant="neutral"
          button-size="lg"
        />
        <svn-icon-button
          icon="ic:baseline-notifications-none"
          variant="neutral"
          button-size="lg"
        />
        <svn-dropdown>
          <template #activator>
            <svn-icon-button
              icon="mingcute:dot-grid-fill"
              button-size="lg"
              variant="neutral"
              class="hidden sm:flex"
            />
          </template>
          <template #dropdown>
            <div class="grid grid-cols-2 gap-2 p-4 rounded-lg">
              <div
                v-for="menu in appMenu"
                class="flex flex-col justify-center items-center w-[96px] h-20 relative"
                :class=" !menu.soon ? 'hover:bg-very-light-grey active:bg-middle-grey rounded' : 'text-dark-grey'"
              >
                <Icon
                  :icon="menu?.icon"
                  :class=" !menu.soon ? menu?.iconClass : 'text-dark-grey'"
                  class="h-6 w-6"
                />
                {{ menu?.title }}

                <div
                  class="absolute top-0 right-0 border border-opacity-100 rounded bg-very-light-grey p-1"
                  :class="!menu.soon ? 'hidden' : 'flex'"
                >
                  <svn-text
                    xxs
                    medium
                    class="leading-[11.73px]"
                  >
                    {{ soonText }}
                  </svn-text>
                </div>
              </div>
            </div>
          </template>
        </svn-dropdown>
        <svn-dropdown>
          <template #activator>
            <div class="sm:!border border-opacity-100 border-dark-grey sm:rounded sm:px-4 sm:py-2 flex gap-2 items-center cursor-pointer hover:bg-light-grey active:bg-middle-grey">
              <div class="hidden sm:flex items-center max-w-[64px] max-h-[32px]">
                <div
                  :style="{'background-image': `url('${userCompanyLogo}')`}"
                  class="w-[100px] h-8 bg-cover bg-center"
                />
              </div>
              <svn-avatar
                class="h-10 w-10"
                size="lg"
                :avatar="userAvatar"
                :firstname="'Orange'"
                :lastname="'Verte'"
              />
            </div>
          </template>
          <template #dropdown>
            <div class="flex flex-col gap-2 text-left text-sm">
              <div class="flex flex-col gap-1 px-2 pt-2">
                <div class="font-medium text-base">
                  <span class="uppercase">Favreau</span> William
                </div>
                <div>
                  {{ email }}
                </div>
              </div>
              <div class="!border-b-[0.5px] border-opacity-100 border-middle-grey min-w-[240px]"/>
              <div class="flex items-center gap-2 px-2">
                <Icon
                  icon="mdi:account-outline"
                  class="h-4 w-4"
                />
                Profile
              </div>
              <div class="flex items-center gap-2 px-2">
                <Icon
                  icon="mingcute:building-2-line"
                  class="h-4 w-4"
                />
                Company
              </div>
              <div
                class="flex items-center gap-2 px-2 pb-2"
                @click="logout"
              >
                <Icon
                  icon="mdi:logout"
                  class="h-4 w-4"
                />
                Log out
              </div>
            </div>
          </template>
        </svn-dropdown>
      </div>
    </template>
  </svn-navbar>
</template>

<script setup>
import {Icon} from "@iconify/vue";
import SvnIconButton from "../button/SvnIconButton.vue";
import SvnAvatar from "../avatar/SvnAvatar.vue";
import SvnNavbar from "@/components/navbar/SvnNavbar.vue";
import SvnDropdown from "@/components/button/SvnDropdown.vue";
import SvnAlephNavbarMenu from "@/components/navbar/SvnAlephNavbarMenu.vue";

const emit = defineEmits(["logout", "homeButtonClick"])

const logout = () => {
  emit("logout")
}

const props = defineProps({
  items: {
    type: Array,
    default: () => []
  },
  modalItems: {
    type: Array,
    default: () => []
  },
  email: {
    type: String,
    default: ''
  },
  appName: {
    type: String,
    default: ''
  },
  user: {
    type: Object,
    default: () => {}
  },
  userAvatar: {
    type: String,
    default: ''
  },
  userCompanyLogo: {
    type: String,
    default: ''
  },
  appMenu: {
    type: Array,
    default: () => []
  },
  soonText: {
    type: String,
    default: "Coming soon"
  }
})

const homeButtonClick = () => {
  emit('homeButtonClick')
}
</script>

<style scoped>

</style>